<div class="grid grid-cols-12 min-h-screen">
  {{template "partials/sidebar" "batch-runs"}}

  <div class="col-span-7 md:col-span-8 lg:col-span-9 p-6 bg-slate-50">
    {{with .run}}
    <h1 class="text-2xl font-medium">Batch run</h1>
    <p class="text-sm text-gray-400 mb-7">ID: {{.ID}}</p>

    <p class="mb-7"><a href="/" class="text-sm text-sky-600 hover:text-sky-700 hover:underline">&larr; Terug
        naar alle batch runs</a></p>

    <p class="col-span-12">Een batch run bestaat uit twee delen:</p>
    <ol class="col-span-12 list-[upper-alpha] ml-5 mb-7" type="A">
      <li>Verwerken van de data tot aanslagregels</li>
      <li>groeperen van de aanslagregels tot aanslagbiljetten</li>
    </ol>

    <div class="grid grid-cols-12 mb-7">
      <h4 class="col-span-12 sm:col-span-4 md:col-span-3 pt-4 sm:pb-4 border-t text-gray-600 font-medium">Jaar</h4>
      <p class="col-span-12 sm:col-span-8 md:col-span-9 py-4 sm:border-t">{{.Year}}</p>

      <h4 class="col-span-12 sm:col-span-4 md:col-span-3 pt-4 sm:pb-4 border-t text-gray-600 font-medium">Aangemaakt
        op</h4>
      <p class="col-span-12 sm:col-span-8 md:col-span-9 py-4 sm:border-t">{{formatTime
        .CreatedAt}}</p>

      <h4 class="col-span-12 sm:col-span-4 md:col-span-3 pt-4 sm:pb-4 border-t text-gray-600 font-medium">Status</h4>
      <p class="col-span-12 sm:col-span-8 md:col-span-9 py-4 sm:border-t">
        <span class="inline-block font-mono text-sm px-2 py-1 rounded text-green-900 bg-green-200 mb-1">{{ .Status }}</span><br>
      {{ if $.work }}
      {{ with $.work }}
        {{.Done}} van {{.Amount}} WOZ-objecten verwerkt, {{.Error}} fout{{if ne .Error 1}}en{{end}}
      {{end}}
      {{end}}
      </p>
    </div>

    <h3 class="font-medium text-gray-600 mb-7">Tarieven</h3>
    
    {{range $.tariffs}}
    <div class="grid grid-cols-12 mb-7">
      <h3 class="col-span-12 pb-4 font-medium">Gemeente {{.Municipality}}</h3>
  
      <h4 class="col-span-12 sm:col-span-9 lg:col-span-6 sm:mb-4 text-gray-600">OZB eigendom woning</h4>
      <p class="col-span-12 sm:col-span-3 lg:col-span-6 mb-4">{{.PropertyTaxOwnershipResidential}}%</p>

      <h4 class="col-span-12 sm:col-span-9 lg:col-span-6 sm:mb-4 text-gray-600">OZB eigendom niet-woning</h4>
      <p class="col-span-12 sm:col-span-3 lg:col-span-6 mb-4">{{.PropertyTaxOwnershipNonResidential}}%</p>

      <h4 class="col-span-12 sm:col-span-9 lg:col-span-6 sm:mb-4 text-gray-600">OZB gebruik niet-woning</h4>
      <p class="col-span-12 sm:col-span-3 lg:col-span-6 mb-4">{{.PropertyTaxUsageNonResidential}}%</p>

      <h4 class="col-span-12 sm:col-span-9 lg:col-span-6 sm:mb-4 text-gray-600">Rioolheffing eigenaar</h4>
      <p class="col-span-12 sm:col-span-3 lg:col-span-6 mb-4">€&nbsp;{{numberFormat .SewerageTax}}</p>

      <h4 class="col-span-12 sm:col-span-9 lg:col-span-6 sm:mb-4 text-gray-600">Afvalstofheffing eenpersoonshuishouden</h4>
      <p class="col-span-12 sm:col-span-3 lg:col-span-6 mb-4">€&nbsp;{{numberFormat .WasteTaxOnePersonHousehold}}</p>

      <h4 class="col-span-12 sm:col-span-9 lg:col-span-6 text-gray-600">Afvalstofheffing meerpersoonshuishouden</h4>
      <p class="col-span-12 sm:col-span-3 lg:col-span-6">€&nbsp;{{numberFormat .WasteTaxMultiPersonHousehold}}</p>
    </div>
    {{else}}
    <p class="mb-7">Geen tarieven gevonden in deze batch.</p>
    {{end}}

    <div id="results" class="mb-7 empty:hidden"></div>

    {{if eq .Status "batch_run_done" }}
    <button
      class="inline-block text-white bg-sky-500 border border-sky-600 hover:bg-sky-600 hover:border-sky-700 focus:ring-4 focus:outline-none focus:ring-sky-200 font-medium rounded-lg text-sm px-5 py-2.5 shadow-sm"
      hx-post="/batch-runs/{{.ID}}/finalize" hx-target="#results">
      Voltooi deze batch run (stap B)
    </button>
    {{end}}
    
    {{else}}
    <h2 class="text-2xl font-medium mb-7">Batch run niet gevonden</h2>
    {{end}}
  </div>
</div>
